하모니카 묻고답하기

조회 수 862 추천 수 0 댓글 1
?

단축키

Prev이전 문서

Next다음 문서

크게 작게 위로 아래로 댓글로 가기 인쇄
?

단축키

Prev이전 문서

Next다음 문서

크게 작게 위로 아래로 댓글로 가기 인쇄

출처: http://la-nube.tistory.com/299 [la Nube's Lab. | 라 누베 연구소]



http://blog.alyac.co.kr/1440


"error state" 상태에서 SSL_read() 혹은 SSL_write() 함수를 호출할 때, "error state"메커니즘의 버그 때문에 원래의 의도대로 동작하지 않게 됩니다. 이 때문에 원래 데이터가 OpenSSL을 통해 데이터가 암/복호화 되어야 하는데, 더 이상 SSL/TLS 레이어에서 암/복호화 처리가 불가하게 됩니다.


-본문 중 일부


--


<Debian>


보안 취약점 CVE-2017-3737에 대하여...


데비안 9 Stretch (Stable)

 - openssl 1.1.0f-3+deb9u1 에서 보안 패치가 완료됨 (fixed)

 - openssl1.0 1.0.2l-2+deb9u1 은 취약하나, 아직 보안 패치가 없음 (vulnerable)


데비안 8 Jessie (OldStable) / 리눅스민트데비안에디션(LMDE) 2 Betsy

 - openssl 1.0.1t-1+deb8u7 은 취약하나, 아직 보안 패치가 없음 (vulnerable)


데비안 7 Wheezy (OldOldStable)

 - openssl 1.0.1t-1+deb7u3 은 취약하나, 아직 보안 패치가 없음 (vulnerable)


보안 취약점 CVE-2017-3738에 대하여...


데비안 9 Stretch (Stable)

 - openssl 1.1.0f-3+deb9u1 은 취약하나, 아직 보안 패치가 없음 (vulnerable)

 - openssl1.0 1.0.2l-2+deb9u1 은 취약하나, 아직 보안 패치가 없음 (vulnerable)


데비안 8 Jessie (OldStable) / 리눅스민트데비안에디션(LMDE) 2 Betsy

 - openssl 1.0.1t-1+deb8u7 에서 보안 패치가 완료됨 (fixed)


데비안 7 Wheezy (OldOldStable)

 - openssl 1.0.1t-1+deb7u3 에서 보안 패치가 완료됨 (fixed)


--


<Ubuntu>


보안 취약점 CVE-2017-3737과 CVE-2017-3738에 대하여...


우분투 17.10 Artful Aardvark

 - openssl 1.0.2g-1ubuntu15 라는 보안 패치의 배포가 대기 중임 (pending)


우분투 17.04 Zesty Zapus

 - openssl 1.0.2g-1ubuntu11.4 에서 보안 패치가 완료됨 (released)


우분투 16.10 Yakkety Yak

 - 지원종료


우분투 16.04 LTS Xenial Xerus / 리눅스민트 18.3 Sylvia

 - openssl 1.0.2g-1ubuntu4.10 에서 보안 패치가 완료됨 (released)


우분투 14.04 LTS Trusty Tahr / 리눅스민트 17.3 Rosa / 하모니카 2.1

 - openssl 1.0.1f-1ubuntu2.23 은 취약점에 영향을 받지 않음 (not-affected)


우분투 12.04 LTS Precise Pangolin / 리눅스민트 13 Maya

 - 지원종료


--


보안 패치가 발표된 데비안(LMDE 등 포함) 및 우분투(리눅스민트, 하모니카 등 포함) 사용자께서는 터미널에서 다음의 명령어를 통해 보안 패치를 하기 바랍니다.


sudo apt-get update && sudo apt-get dist-upgrade -y


--


<OpenVPN>


보안 취약점 CVE-2017-3737과 CVE-2017-3738에 대하여...


OpenVPN이 사용하는 OpenSSL 라이브러리 버전은 다음과 같음

library versions: OpenSSL 1.0.2l  25 May 2017, LZO 2.10

즉, 위 두 취약점에 취약하며, 아직 보안 패치가 이루어지지 않음


아울러 OpenVPN을 가져와 쓰고 있는 거의 대부분의 VPN들 역시 취약할 것으로 예상됨

(OpenVPN Connect, OpenVPN GUI, ExpressVPN, NordVPN, PIA VPN, ProtonVPN 등)


--


*여기에서 말하는 우분투는 다른 모든 우분투 공식 및 비공식 변형판을 포함합니다. 예를 들어, 주분투, 루분투, 쿠분투, 우분투그놈, 우분투마테, 우분투벗지, 엘리멘터리OS, 페퍼민트OS, 리눅스라이트, 조린OS 등을 모두 포함합니다.


*위 정보는 우분투 12.04 ESM(Extended Security Maintenance)을 포함하지 않습니다.


*위 정보는 작성자가 주로 사용하는 리눅스 배포판에 대해서만 작성하였습니다. 그 외의 배포판은 알아서 하셔야 합니다.



<참고>

https://www.openssl.org/news/secadv/20171207.txt

https://security-tracker.debian.org/tracker/CVE-2017-3737

https://security-tracker.debian.org/tracker/CVE-2017-3738

https://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-3737.html

https://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-3738.html



출처: http://la-nube.tistory.com/299 [la Nube's Lab. | 라 누베 연구소]
  • ?
    la_Nube 2017.12.12 16:20

    우분투 16.04 LTS Xenial Xerus / 리눅스민트 18.3 Sylvia

     - openssl 1.0.2g-1ubuntu4.10 에서 보안 패치가 완료됨 (released)


    우분투 14.04 LTS Trusty Tahr / 리눅스민트 17.3 Rosa / 하모니카 2.1

     - openssl 1.0.1f-1ubuntu2.23 은 취약점에 영향을 받지 않음 (not-affected)


    --


    sudo apt-get update && sudo apt-get dist-upgrade -y


List of Articles
번호 제목 추천 수 글쓴이 날짜 조회 수
공지 게시판에 질문하기 전 읽기 - 어떻게 질문을 하는 것이 좋을까? 1 0 Kevin 2019.11.18 13009
836 mpv 그래픽 3 0 Ohnine 2017.12.30 867
835 하모니카도 여기에 등재되는날이 오면 좋겠네요 2 0 민트초코너무좋아 2020.06.29 866
834 라이선스 중복문제. 1 0 민간인28호 2021.04.02 864
833 Boot-select 시간도 설정가능하게 부탁드립니다. 1 0 자유의지 2020.01.21 864
832 많은 분들의 답변 감사드리고 사과드립니다. 6 0 galisany 2020.06.19 863
» CVE-2017-3737 : OpenSSL Read/write after in error state 취약점 1 0 la_Nube 2017.12.12 862
830 키보드 입력 문제가 발생했습니다. 2 0 머털도사 2020.06.07 861
829 하모니카에서 (EBSi를 제외한) 인터넷 강의를 들을 수는 없을까요? 4 0 제이산화구리 2023.12.15 860
828 Python 설치시 에러가 뜹니다. 8 file 0 빅파이프 2022.02.28 860
827 커널 5.0의 장점이 뭘까요? 2 0 iloveapink 2019.08.22 860
826 리눅스 커널 5.0.8 미만에서 RCE 취약점 발견됨 1 0 la_Nube(누베) 2019.05.21 860
825 하모니카_테사를 사용하고 있습니다.. 폰트설치.. 변경은 어떻게 하는것인가요? 9 0 신성 2019.03.25 860
824 (무선랜) 도움 바랍니다. 4 file 0 시트콤처럼 2022.04.14 857
823 안녕하세요 USB2.0은 모두 작동을 않하네요 6 0 그레이독 2021.11.09 856
822 우분투(Ubuntu) LTS 리눅스 커널 업데이트 - 4.15.0-29 5 0 la_Nube(누베) 2018.07.23 856
821 현재 커뮤니티 배포판에 등록된 18.3 xfce 32비트에 관하여... 3 0 Moordev 2018.01.04 855
820 번역은 어려워... 9 0 세벌 2018.01.12 854
819 인텔 관련 이슈 8 0 변신 2018.01.03 854
818 하모니카 서버이전을 알려드립니다. 12 0 Kevin 2018.02.06 853
817 죄송하지만 슬랙 채팅참여 안 되네요. 1 0 화난행성 2019.12.01 851
Board Pagination Prev 1 ... 77 78 79 80 81 82 83 84 85 86 ... 123 Next
/ 123
CLOSE